RSA_ISO Struct Reference

RSA algorithm. More...

`#include <rsa.h>`

Inheritance diagram for RSA_ISO:

## Public Types

typedef RSAFunction_ISO | PublicKey
typedef InvertibleRSAFunction_ISO | PrivateKey

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

RSA algorithm.

Since
  Crypto++ 1.0

Definition at line 189 of file rsa.h.

## Member Typedef Documentation

## PublicKey

typedef RSAFunction_ISO RSA_ISO::PublicKey

Definition at line 192 of file rsa.h.

## PrivateKey

typedef InvertibleRSAFunction_ISO RSA_ISO::PrivateKey

Definition at line 193 of file rsa.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * RSA_ISO::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 191 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h